VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::HostTypes::PowerState Class Reference

The `Host.PowerState` enumerated type defines the power states of a host. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, POWERED_ON, POWERED_OFF, STANDBY }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static PowerState[] | GetValues ()
static PowerState | ValueOf (string name)
## Static Public Attributes
static readonly PowerState | POWERED_ON = new PowerState("POWERED_ON", Values.POWERED_ON)
| The host is powered on.
static readonly PowerState | POWERED_OFF = new PowerState("POWERED_OFF", Values.POWERED_OFF)
| The host was specifically powered off by the user through vCenter server.
static readonly PowerState | STANDBY = new PowerState("STANDBY", Values.STANDBY)
| The host was specifically put in standby mode, either explicitly by the user, or automatically by DPM.

## Detailed Description

The `Host.PowerState` enumerated type defines the power states of a host.

## Member Enumeration Documentation

enum vmware::vcenter::HostTypes::PowerState::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  POWERED_ON | The host is powered on. A host that is entering standby mode is also in this state.
  POWERED_OFF | The host was specifically powered off by the user through vCenter server. This state is not a cetain state, because after vCenter server issues the command to power off the host, the host might crash, or kill all the processes but fail to power off.
  STANDBY | The host was specifically put in standby mode, either explicitly by the user, or automatically by DPM. This state is not a cetain state, because after VirtualCenter issues the command to put the host in standby state, the host might crash, or kill all the processes but fail to enter standby mode. A host that is exiting standby mode is also in this state.

## Member Function Documentation

Values vmware::vcenter::HostTypes::PowerState::GetEnumValue | ( |  | ) | `[inline]`

static PowerState [] vmware::vcenter::HostTypes::PowerState::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::HostTypes::PowerState::IsUnknown | ( |  | ) | `[inline]`

static PowerState vmware::vcenter::HostTypes::PowerState::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly PowerState vmware::vcenter::HostTypes::PowerState::POWERED_OFF = new PowerState("POWERED_OFF", Values.POWERED_OFF)`[static]`

The host was specifically powered off by the user through vCenter server.

This state is not a cetain state, because after vCenter server issues the command to power off the host, the host might crash, or kill all the processes but fail to power off.

readonly PowerState vmware::vcenter::HostTypes::PowerState::POWERED_ON = new PowerState("POWERED_ON", Values.POWERED_ON)`[static]`

The host is powered on.

A host that is entering standby mode is also in this state.

readonly PowerState vmware::vcenter::HostTypes::PowerState::STANDBY = new PowerState("STANDBY", Values.STANDBY)`[static]`

The host was specifically put in standby mode, either explicitly by the user, or automatically by DPM.

This state is not a cetain state, because after VirtualCenter issues the command to put the host in standby state, the host might crash, or kill all the processes but fail to enter standby mode. A host that is exiting standby mode is also in this state.

The documentation for this class was generated from the following file:

- HostTypes.cs